# react-redux-jest-kit
A starter kit with react, redux, jest and webpack.

[![Build Status](https://travis-ci.org/trembacz/react-redux-jest-kit.svg?branch=master)](https://travis-ci.org/trembacz/react-redux-jest-kit)
[![Dependencies](https://david-dm.org/trembacz/react-redux-jest-kit/status.svg)](https://david-dm.org/trembacz/react-redux-jest-kit?view=list) 
[![devDependencies](https://david-dm.org/trembacz/react-redux-jest-kit/dev-status.svg)](https://david-dm.org/trembacz/react-redux-jest-kit?type=dev&view=list)

## Contains:

* checkout steps example
* counter example
* filterable table example
* Webpack dev and production config
* ES6 - 7 Support with Babel
* HRM - Hot module replacement support
* Sass support
* ESlint to keep your js readable
* Jest - unit testing framework


## Getting Started

**1. Clone the repository on your local machine by running:**

```bash
git clone git@github.com:trembacz/react-redux-jest-kit.git
cd react-redux-jest-kit
```

**2. Install all of the dependencies:**

```npm install``` or ```yarn install```

**3. Run the app:**

```npm run start``` or ```yarn start```

**4. Build production files:**

```npm run build``` or ```yarn build```

Building app in the "dist" directory. Contains the index.html with the minified assets (js, css), it's ready for production!.

## Run tests

```npm run test``` or ```yarn test```

![](http://i.imgur.com/Yf4YGGZ.jpg)

This command will run tests and create a Coverage report "coverage/lcov-report/index.html"

![](http://i.imgur.com/KsKduK4.jpg)
![](http://i.imgur.com/oGikWWk.jpg)

## Run tests --watch

Watch files for changes and rerun tests related to changed files.

```npm run test-watch``` or ```yarn test-watch```
